#ifndef LUAPLUS_LIB
	#ifdef LUAPLUS_BUILDDLL
		#define LUA_API __declspec(dllexport)
	#else
		#define LUA_API __declspec(dllimport)
		#ifdef _DEBUG
			#pragma comment(lib, "LuaPlusD.lib")
		#else _DEBUG
			#pragma comment(lib, "LuaPlus.lib")
		#endif _DEBUG
	#endif
#else //!LUASTATEDLL
	#define LUA_API
#endif

//#define LUAPLUS_USE_NAMESPACE
#ifdef LUAPLUS_USE_NAMESPACE
	#define NAMESPACE_LUA_BEGIN namespace Lua {  extern "C" {
	#define NAMESPACE_LUA_END } } // namespace Lua
	#define USING_NAMESPACE_LUA using namespace Lua;
	#define NAMESPACE_LUA_PREFIX Lua::
	#define LUA_EXTERN_C 
	#define LUA_EXTERN_C_BEGIN
	#define LUA_EXTERN_C_END
#endif LUAPLUS_USE_NAMESPACE

#ifndef NAMESPACE_LUA_BEGIN
	#define NAMESPACE_LUA_BEGIN
	#define NAMESPACE_LUA_END
	#define USING_NAMESPACE_LUA
	#define NAMESPACE_LUA_PREFIX
	#define LUA_EXTERN_C extern "C"
	#define LUA_EXTERN_C_BEGIN extern "C" {
	#define LUA_EXTERN_C_END }
#endif NAMESPACE_LUA_BEGIN

#define LUALIB_API LUA_API


